[git] gnupg-doc - branch, master, updated. cb04299eadbe2ca9022a5e54217a872368073a77

by Justus Winter cvs at cvs.gnupg.org
Thu Dec 15 12:59:54 CET 2016


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The GnuPG website and other docs".

The branch, master has been updated
       via  cb04299eadbe2ca9022a5e54217a872368073a77 (commit)
      from  76d1d716ba2fa6ebe0a4d9d6597d2facd36614ae (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit cb04299eadbe2ca9022a5e54217a872368073a77
Author: Justus Winter <justus at g10code.com>
Date:   Thu Dec 15 12:57:30 2016 +0100

    jenkins: avoid LD_LIBRARY_PATH
    
    If memory serves this was added merely to run the Python bindings
    compiled with -fsanitize-address, and that was brittle enough to break
    soon.  Now we don't even build the Python bindings when instrumenting
    the code, so this can safely be omitted.

diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index 956884c..e886ca1 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -108,17 +108,17 @@ cd obj
 # Switch on the different targets.
 case "$XTARGET" in
     native)
+	# asan breaks the configure tests, so we disable it here.
         ASAN_OPTIONS=detect_leaks=0 \
         $SCANBUILD \
             ../configure --prefix=$PREFIX --enable-maintainer-mode \
 	           $CONFIGUREFLAGS \
 	           "$CONFIGUREFLAGS_0" \
 	           CFLAGS="$CFLAGS $SANFLAGS -fPIC" \
-	           CXXFLAGS="$CXXFLAGS $SANFLAGS -fPIC -std=c++11" \
-                   LD_LIBRARY_PATH=$PREFIX/lib
+	           CXXFLAGS="$CXXFLAGS $SANFLAGS -fPIC -std=c++11"
         $SCANBUILD make $MAKEFLAGS
 
-          make check verbose=2 LD_LIBRARY_PATH=$PREFIX/lib || true
+        make check verbose=2 || true
         # Jenkins looks for "tests? failed" to mark a build unstable,
         # hence || true here
 
@@ -166,8 +166,8 @@ case "$XTARGET" in
           # file names
 	  cd "$WORKDIR"
           $abs_configure --prefix=$PREFIX --enable-maintainer-mode \
-                   $CONFIGUREFLAGS LD_LIBRARY_PATH=$PREFIX/lib
-          make $MAKEFLAGS distcheck LD_LIBRARY_PATH=$PREFIX/lib
+                   $CONFIGUREFLAGS
+          make $MAKEFLAGS distcheck
 
           # Extract the tarname from the package
           tarname=$(awk <config.h '
@@ -185,8 +185,8 @@ case "$XTARGET" in
           # And do a final build using the generated tarball
 	  cd ${tarname}
 	  ./configure --prefix=$PREFIX $CONFIGUREFLAGS LD_LIBRARY_PATH=$PREFIX/lib
-	  make $MAKEFLAGS         LD_LIBRARY_PATH=$PREFIX/lib
-	  make $MAKEFLAGS install LD_LIBRARY_PATH=$PREFIX/lib
+	  make $MAKEFLAGS
+	  make $MAKEFLAGS install
 
         ;;
     *)

-----------------------------------------------------------------------

Summary of changes:
 misc/jenkins/bin/build.bash | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)


hooks/post-receive
-- 
The GnuPG website and other docs
http://git.gnupg.org




More information about the Gnupg-commits mailing list